package foursquare

type (
	ReduceResponse struct {
		Response struct {
			Groups []ReduceGroup `json:"groups"`
		} `json:"response"`
	}
)

type (
	ReduceVenue struct {
		Id       string                `json:"id,omitempty"`
		Name     string                `json:"name,omitempty"`
		Category []Categories4sqPlaces `json:"category,omitempty"`
		Location struct {
			Distance int64 `json:"distance,omitempty"`
		} `json:"location,omitempty"`
	}
)


type ReduceItems struct {
	Venue ReduceVenue `json:"venue,omitempty"`
}

type ReduceGroup struct {
	Items []ReduceItems `json:"items,omitempty"`
}